Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement
Class AbstractScopedAssertion

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.AbstractScopedAssertion

All Implemented Interfaces:
  Cloneable, Serializable, TestElement

Direct Known Subclasses:
  DurationAssertion, ResponseAssertion, SizeAssertion

public abstract class AbstractScopedAssertion
extends AbstractTestElement

Super-class for all Assertions that can be applied to main sample, sub-samples or both. Test elements merely need to extend this class to support scoping.

Their corresponding GUI classes need to add the AssertionScopePanel to the GUI using the AbstractAssertionGui methods:

- createScopePanel()
- saveScopeSettings()
- showScopeSettings()

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`AbstractScopedAssertion()`

Method Summary
`String` | `fetchScope()` Get the scope setting
`boolean` | `isScopeAll(String scope)` Is the assertion to be applied to the all samples?
`boolean` | `isScopeChildren(String scope)` Is the assertion to be applied to the sub-samples (children)?
`boolean` | `isScopeParent(String scope)` Is the assertion to be applied to the main (parent) sample?
`void` | `setScopeAll()`
`void` | `setScopeChildren()`
`void` | `setScopeParent()`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractScopedAssertion

    public AbstractScopedAssertion()

Method Detail

### fetchScope

    public String fetchScope()

  Get the scope setting

  Returns:
    the scope, default parent

### isScopeParent

    public boolean isScopeParent(String scope)

  Is the assertion to be applied to the main (parent) sample?

  Parameters:
    `scope` -
  Returns:
    if the assertion is to be applied to the parent sample.

### isScopeChildren

    public boolean isScopeChildren(String scope)

  Is the assertion to be applied to the sub-samples (children)?

  Parameters:
    `scope` -
  Returns:
    if the assertion is to be applied to the children.

### isScopeAll

    public boolean isScopeAll(String scope)

  Is the assertion to be applied to the all samples?

  Parameters:
    `scope` -
  Returns:
    if the assertion is to be applied to the all samples.

### setScopeParent

    public void setScopeParent()

### setScopeChildren

    public void setScopeChildren()

### setScopeAll

    public void setScopeAll()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.